package com.ruoyi.web.controller.system;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.vo.ReconciliationVo;
import com.ruoyi.system.service.IEtOrderService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 对账Controller
 *
 * @author qiuzhenzhao
 * @date 2024-06-17
 */
@RestController
@RequestMapping("/system")
public class EtReconciliationControllor {

    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private IEtOrderService etOrderService;

    /**
     * 查询对账列表
     */
    @PreAuthorize("@ss.hasPermi('system:reconciliation:list')")
    @GetMapping("/reconciliation")
    public AjaxResult list(String timeStart,String timeEnd)
    {
        logger.info("【收入对账】请求参数：timeStart={},timeEnd={}", timeStart,timeEnd);
        if(StrUtil.isBlank(timeStart)){
            timeStart = DateUtils.getDate();
        }
        if(StrUtil.isBlank(timeEnd)){
            timeEnd = DateUtils.getDate();
        }
        ReconciliationVo reconciliation = etOrderService.reconciliation(timeStart,timeEnd,"1",null);
        return AjaxResult.success(reconciliation);
    }
}
